<?php
/**
* <img> tag extender for HtmlTag. Provides a bit easier creation of <img> objects
* in your PHP code.
*
* @access public
* @author Vladimir Sibirov <trustware@bk.ru>
* @package XTPL
*/
class ImgTag extends HtmlTag
{
	/**
	* Constructor: creates new ImgTag object.
	*
	* @access public
	* @return ImgTag
	* @param string $src Image source.
	* @param string $alt Alternative text.
	* @param int $width Image width.
	* @param int $height Image height.
	*/
	function ImgTag($src, $alt = '', $width = null, $height = null)
        {
                $this->tag = 'img';
                $this->Attr['src'] = $src;
                if($alt != '') $this->Attr['alt'] = $alt;
                if(!is_null($width)) $this->Attr['width'] = $width;
                if(!is_null($height)) $this->Attr['height'] = $height;
        }
}
?>