<?php
/**
* <a> tag extender for HtmlTag. Provides a bit easier creation of link objects
* in your PHP code.
*
* @access public
* @author Vladimir Sibirov <trustware@bk.ru>
* @package XTPL
*/
class LinkTag extends HtmlTag
{
        /**
        * Constructor: creates new LinkTag object.
        *
        * @return LinkTag
        * @param string $href Hyperlink.
        * @param mixed $content Content text.
        * @param string $target Target attribute.
        */
        function LinkTag($href, $content, $target = '_self')
        {
                parent::HtmlTag('a', $content);
                $this->Attr['href'] = $href;
                if($target != '_self') $this->Attr['target'] = $target;
        }
}
?>