<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

$tut_no = 2; // Tutorial number :)

// You can use modifiers for the variables.
// Modifier can be any PHP function which takes at least one string
// parameter and returns string.

// Let's create a string for modification
$text1 = 'Here we put some text.
It has line brakes.';
// Then see the template and the result.

// Of course you can create your own functions-modifiers and there are a lot
// of ways how to use them. Now I'll write here some functions for example.

function bold($str)
{
	return "<b>$str</b>";
}

function italic($str)
{
	return "<i>$str</i>";
}

function font($str, $size)
{
	return '<font size="'.$size.'">'.$str.'</font>';
}

function a_link($href, $content, $target)
{
	return '<a href="'.$href.'" target="'.$target.'">'.$content.'</a>';
}

// A string for the example
$text2 = 'Give me the mod.';
// Now see the template.

// XTPL also provides {modify}{/modify} sequence. It works the same way as variable
// modifiers but it affects the section content. No XTPL sequences iside of {modify}{/modify}
// are allowed. It is not needed and nesting inside of this sequence would be to unstable.

// You can write your own modifiers and other functions called "extenders". Put them
// into "lib/functions" and XTPL will load them automatically!

// See the example with standard crypt_mail() extender...

// Parsing the template
$page->Parse('tutorial_2.tpl');

// Flushing the buffer and ending the buffering
$page->End();
?>