<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

$tut_no = 5; // Tutorial number :)

// XTPL also provides HtmlTag class and some extending classes. First of all see the
// documentation on classes. There are also examples for each feature there. Here
// is the simple example on using HtmlTag classes with XTPL.

// Creating a div
$test_div = new HtmlTag('div', 'Let\'s put some simple text here!');
// Setting some tag attributes
$test_div->Attr['id'] = 'test_div';
$test_div->Attr['style'] = 'border:1px solid black; background-color:#CCCCCC';

// Creating a link using extending LinkTag class.
$link = new LinkTag('http://localhost/', 'LocalHost');

// Putting it inside of the div
$test_div->Insert($link);

$test_div->Insert('And even some text after it.');

// SelectTag is what needed rather often, so let's demonstrate it here.
$countries['en'] = 'England';
$countries['uk'] = 'United Kingdom';
$countries['us'] = 'United States';
$countries['ru'] = 'Russia';
$countries['de'] = 'Germany';
$countries['ua'] = 'Ukraine';
sort($countries);
$select = new SelectTag('countries', $countries);

// See also the documentation on HtmlTag and extending classes.
// And of course you can write your own classes extendign HtmlTag.

// Parsing the template
$page->Parse('tutorial_5.tpl');

// Flushing the buffer and ending the buffering
$page->End();
?>